# ldap-web aka profile.hackerspace.pl

## quick start locally

```
poetry install
FLASK_ENV=development FLASK_APP=webapp poetry run flask run -p 5001
```

Open app at localhost:5001

To test changing password locally, you must add HACKERSPACE.PL realm to your /etc/krb5.conf. See krb5.conf for an example

## quick start (dockerized)

```
docker build -t ldapweb .
docker run -p 8000:8000 ldapweb
```

Open app at localhost:8000

## deployment

Look for `ldapweb.libsonnet` in hscloud repo
